=== modified file 'bzrlib/osutils.py'
--- bzrlib/osutils.py	2011-11-14 09:37:40 +0000
+++ bzrlib/osutils.py	2011-11-16 06:41:04 +0000
@@ -116,10 +116,10 @@
         # doing a stat, and then trying to compare
         os.chmod(filename, mode)
     except (IOError, OSError),e:
-        # EPERM seems to commonly happen on smbfs; there's probably no
-        # point warning about it.
+        # Permission/access denied seems to commonly happen on smbfs; there's
+        # probably no point warning about it.
         # <https://bugs.launchpad.net/bzr/+bug/606537>
-        if getattr(e, 'errno') == errno.EPERM:
+        if getattr(e, 'errno') in (errno.EPERM, errno.EACCES):
             trace.mutter("ignore EPERM on mkdir of %r" % filename)
             return
         raise

